<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Homework-buttons</title>
    <style>
        #container {
            width: 860px;
            height: 500px;
            margin: 0 auto;
            border: 3px solid red;
        }
        .hidden {
            display: none;
            opacity: 0;
            transition: 1s;

        }
        #container img {
            width: 100%;
            height: 500px;
        }
        .buttons {

        }
        .button {
            display: flex;
            justify-content: center;
            margin-top: 15px;
        }
        .image {
            opacity: 1;

        }
    </style>
</head>
<body>
<div id="container">
    <div class="gallery">
        <img src="images/javascript_homework_homework12_banners_img_1.jpg" alt="Canada1" class="image">
        <img src="images/javascript_homework_homework12_banners_img_2.jpg" alt="canada2" class="hidden image">
        <img src="images/javascript_homework_homework12_banners_img_3.JPG" alt="canada3" class="hidden image">
        <img src="images/javascript_homework_homework12_banners_img_4.png" alt="something" class="hidden image">
    </div>
    <div class="button"><button id="stop">Pause</button><button id="continue">resume</button></div>
</body>
<script>

    let gallery = document.querySelectorAll('#container .gallery img');
    let i =0;
    let interval = function () {
        gallery[i].classList.add('hidden');
        i++;
        if(i >= gallery.length) {
            i = 0;
        }
        gallery[i].classList.remove('hidden');
    };
    function createInterval(selector, seconds) {
        const stop = document.getElementById('stop');
        const resume = document.getElementById('continue');
        stop.addEventListener('click', onPauseClick);
        resume.addEventListener('click', onResumeClick);
        let intervalId;
        runTimer();
        function onPauseClick(event) {
            if(intervalId) {
                clearInterval(intervalId);
                intervalId = null;
        }
            }
            function onResumeClick(event) {
                if(intervalId == null) {
                    runTimer();
                }
            }
        function runTimer() {
            intervalId = setInterval(() => {
                seconds--;
                if (seconds < 1) {
                    seconds = 10;
                    interval();
                }
            }, 1000);
        }
    }
    createInterval('#container', 10);

</script>
</html>
<!--1. Опишите своими словами разницу между функциями setTimeout() и setInterval().-->

<!--setTimeout() встановлює затримку один раз для виконання функції, а setInterval() встановлює, з якою періодинчістю виконуватиметься функція.-->

<!--2. Что произойдет, если в функцию setTimeout() передать нулевую задержку? Сработает ли она мгновенно, и почему?-->

<!--В данному випадку функція спрацює після виконання усіх функцій, які стоять в черзі. Навіть при нульовій затримці, "двіжок" ставить її в чергу.-->

<!--3. Почему важно не забывать вызывать функцию clearInterval(), когда ранее созданный цикл запуска вам уже не нужен?-->

<!--Тому що функція setInterval() виконуватиметься із заданою їй періодичністю, доки не буде викликано функцію clearInterval()-->
